    <?php 
    error_reporting(0);
    ini_set(“display_errors”, 0 );
    $venda = trim(html_entity_decode($_GET['venda']), " \t\n\r\0\x0B\xC2\xA0");
    $parcelasid = $_GET['idparcelas'];
    $idpara = $_GET['para'];
    global $idpara;

    // echo "<pre>";
    // print_r($_GET);
    // echo "</pre>";

     // echo "venda capturada .: " . $venda;

    global $parcelasid;

    //$venda = pegaVenda($parcela);

    // echo " venda capturada .: " .  $venda;


    $equipe_id = pegaEquipe($venda);


    $empre = pegaEmpreendimento($venda);

    // echo "empreendimento capturado .: " . $empre;

    $valor_parcelas = pegaValorParcelas($venda,$parcelasid);

    $v_parc = $valor_parcelas;


    //echo "valor_parcelas capturado  .: " . $valor_parcelas;

    $valor_parcelas_formatado = "R$ " . number_format($valor_parcelas,2,',','.');

    //echo "valor_parcelas formatado  .: " . $valor_parcelas_formatado;


    $teste_valor = explode(".", $valor_parcelas);

    $repasse = buscar_repasse($empre);
    //echo "repasse capturado .: " . $repasse;
    //echo "valor parcelas .: " .  $valor_parcelas  . "<br>";

    $valor_repasse = ($valor_parcelas * $repasse) / 100;
    $valor_repasse_formatado = "R$ " . number_format($valor_repasse,2,',','.');


     if(count($teste_valor) == 1){
     
            $valor_parcelas = str_replace("R$ ", "", $valor_parcelas);
            $valor_parcelas = str_replace(",", ".", $valor_parcelas);
            $valor_parcelas = (float)$valor_parcelas;

     }else{

            $valor_parcelas = str_replace(".", "", $valor_parcelas);
            $valor_parcelas = str_replace(",", ".", $valor_parcelas);
            $valor_parcelas = (float)$valor_parcelas;
    }


    function pevaValorLote($venda){
     include "conexao.php";
         $query_amigo = "SELECT lote.valor FROM venda INNER JOIN lote ON venda.lote_idlote = lote.idlote INNER JOIN produto ON lote.produto_idproduto = produto.idproduto where venda.idvenda = '$venda'" ;
         //echo $query_amigo;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $valor = $buscar_amigo['valor'];

         return $valor;
    }

    function pevaValorTotalComissao($venda){

        


         include "conexao.php";
         $query_amigo = "SELECT round(SUM(saldo_original),2) as soma FROM venda_comissao where venda_id = '$venda'";

         $executa_query = mysqli_query($db,$query_amigo);
         $buscar_amigo = mysqli_fetch_assoc($executa_query);

         return $buscar_amigo['soma'];

    }

  function pegaDadosParcelaReferente($idvenda,$equipe_id,$parcelasid){
       include "conexao.php";
       $query = "SELECT venda_comissao.qtd_lancadas, venda_comissao.id_parcela_baixa, parcelas.venda_idvenda, parcelas.idparcelas, parcelas.situacao FROM venda_comissao INNER JOIN venda ON venda_comissao.venda_id = venda.idvenda INNER JOIN parcelas ON venda.idvenda = parcelas.venda_idvenda WHERE venda.idvenda = '$idvenda' and parcelas.situacao = 'Pago' AND idparcelas = '$parcelasid' AND venda_comissao.comissao_para = '$equipe_id' ORDER BY parcelas.idparcelas DESC LIMIT 1";

       //echo $query;

        $executa_query = mysqli_query($db,$query) or die ("Erro ao procurar parcela referente para pagamento de comissao ");
        $buscar_amigo = mysqli_fetch_assoc($executa_query);


        $id_parcela_baixa = $buscar_amigo['id_parcela_baixa'];
        

        // if($id_parcela_baixa == '' OR $id_parcela_baixa == 0){
           
               $pega_primeira_parcela_paga = "SELECT  idparcelas, valor_recebido, valor_parcelas FROM `parcelas` where venda_idvenda = '$idvenda' AND situacao = 'Pago' AND idparcelas = '$parcelasid' ORDER BY idparcelas DESC LIMIT 1";
              // echo $pega_primeira_parcela_paga;

        // }else{

        //       $pega_primeira_parcela_paga = "SELECT idparcelas, valor_recebido, valor_parcelas FROM `parcelas` where venda_idvenda = '$idvenda' AND situacao = 'Pago' AND idparcelas > '$id_parcela_baixa'  
        //         ORDER BY `parcelas`.`idparcelas`  ASC LIMIT 1";
        // }

        $executa_query1 = mysqli_query($db,$pega_primeira_parcela_paga) or die("Erro ao pegar proxima parcela a lancar comissao ");
        $buscar_amigo1 = mysqli_fetch_assoc($executa_query1);

        $dados['valor_parcelas'] = $buscar_amigo1['valor_parcelas'];
        if(is_float($buscar_amigo1['valor_recebido'])){
             $dados['valor_recebido'] = $buscar_amigo1['valor_recebido'];
        }else{
             $dados['valor_recebido'] = $buscar_amigo1['valor_parcelas'];

        }
  
        $dados['idparcelas']     = $buscar_amigo1['idparcelas'];

        $dados['qtd_lancadas']   = $buscar_amigo['qtd_lancadas'];



        return $dados;




  }


    function pegaVenda($parcela){
         include "conexao.php";
         $query_amigo = "SELECT venda_idvenda FROM parcelas WHERE idparcelas = '$parcela'";

         //echo $query_amigo;

         $executa_query = mysqli_query ($db,$query_amigo);
                     
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                    $venda     = $reg["venda_idvenda"];

            }
             
             return $venda;

    }

    function pegaValorParcelas($venda, $idparcelas){
              include "conexao.php";

         $query_amigo = "SELECT valor_parcelas FROM parcelas WHERE venda_idvenda = '$venda' AND idparcelas = '$idparcelas' AND fluxo = 0 AND situacao = 'Pago' ORDER BY idparcelas DESC LIMIT 1";
         //echo $query_amigo; 

         $executa_query = mysqli_query ($db,$query_amigo);
                     
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                    $valor_parcelas     = $reg["valor_parcelas"];

            }
             
             return $valor_parcelas;

    }




    function pegaEquipe($venda){
           include "conexao.php";

         $query_amigo = "SELECT equipe_id FROM venda_comissao WHERE venda_id = '$venda'";
         //echo $query_amigo;

         $executa_query = mysqli_query ($db,$query_amigo);
                     
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                    $equipe_id     = $reg["equipe_id"];

            }
             
             return $equipe_id;

    }

    function pegaEmpreendimento($venda){
              include "conexao.php";

         $query_amigo = "SELECT empreendimento_id FROM venda_comissao WHERE venda_id = '$venda'";

         $executa_query = mysqli_query ($db,$query_amigo);
                     
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                    $empreendimento_id     = $reg["empreendimento_id"];

            }
             
             return $empreendimento_id;

    }



    function participantesVenda($idvenda){
         include "conexao.php";


        $query_amigo = "SELECT comissao_para FROM  venda_comissao WHERE venda_id = '$idvenda'";



         $executa_query = mysqli_query ($db,$query_amigo);
                     
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                    $participantes[]     = $reg["comissao_para"];

            }

               
             
             return $participantes;
             


    }




    function qtd_entrada($idvenda){

        $val_comissao = pevaValorTotalComissao($idvenda);
        //echo "VALOR TOTAL DA COMISSAO .: " .$val_comissao;

        $val_parc =  pegaValorParcelas($idvenda,$_GET['idparcelas']); 

        $empre = pegaEmpreendimento($idvenda);
        $rep   = buscar_repasse($empre) / 100;

        $qtd_entrada = ceil($val_comissao  / ($val_parc * $rep) ); 




        // include "conexao.php";
        // $query_amigo = "SELECT COUNT(*) as  parcela_entrada FROM parcelas  WHERE venda_idvenda = '$idvenda' AND descricao like '%ENTRADA%'";

        //  $executa_query = mysqli_query ($db,$query_amigo);
                     
        //     while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
        //             $qtd_entrada     = $reg["parcela_entrada"];

        //     }



               
             
              return $qtd_entrada;


             //return 5;

    }

    $qtd_entrada = qtd_entrada($venda);

    global $qtd_entrada;
    global $recebeParticipantes;
    global $empre;

    $recebeParticipantes = participantesVenda($venda);

    function numero_sequencia($venda){

        include "conexao.php";
        $query_amigo = "SELECT numero_sequencia FROM parcelas WHERE venda_idvenda = '$venda' and situacao = 'Pago' order by idparcelas DESC LIMIT 1 ";

         //echo $query_amigo;


         $executa_query = mysqli_query ($db,$query_amigo);
                     
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                    $numero_sequencia     = $reg["numero_sequencia"];

            }

               
             
             return $numero_sequencia;



    }

    $numero_sequencia = numero_sequencia($venda);


    function buscarPercComissao($emp){
         include "conexao.php";
          $query_amigo =  "SELECT percentualgeral FROM comissao_geral WHERE id_empreendimento = '$emp' ORDER BY idcomissaogeral DESC LIMIT 1";


          $executa_query = mysqli_query($db,$query_amigo) or die ("erro ao buscar comissao geral");
          $buscar_amigo = mysqli_fetch_assoc($executa_query);

                 $comissao_geral = $buscar_amigo['percentualgeral'];

            return $comissao_geral;


    }


    function buscarSaldoComissao($venda, $corretor, $emp){


         include "conexao.php";
          $query_amigo =  "SELECT saldo_atual FROM venda_comissao WHERE empreendimento_id = '$emp' and comissao_para = '$corretor' and venda_id = '$venda' ORDER BY idcomissao DESC LIMIT 1";

          //echo $query_amigo;

          $executa_query = mysqli_query($db,$query_amigo) or die ("erro ao buscar saldo_atual de comissao");
              $buscar_amigo = mysqli_fetch_assoc($executa_query);

                 $saldo_atual = $buscar_amigo['saldo_atual'];


            return $saldo_atual;

    }

    function pegaQtdVendasCorretor($idcorretor,$venda){
         include "conexao.php";
         $query_amigo = "SELECT COUNT(*) as qtd_corretor FROM comissao_pagamento where comissao_para = '$idcorretor'";
         //echo $query_amigo;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro ao buscar quantidade de vendas do corretor");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         return $buscar_amigo;
    }




    function pegaQuadraLote($venda){
         include "conexao.php";
         $query_amigo = "SELECT produto.quadra, lote.lote FROM venda INNER JOIN lote ON venda.lote_idlote = lote.idlote INNER JOIN produto ON lote.produto_idproduto = produto.idproduto where venda.idvenda = '$venda'" ;
         //echo $query_amigo;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro ao buscar quantidade de vendas do corretor");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $quadraLote = $buscar_amigo['quadra']."/".$buscar_amigo["lote"];

         return $quadraLote;
    }

    function calculaPercentualTotal($valorLote, $valorComissao){
            // echo  "valor do lote .: " . $valorLote . "<br>";
            // echo "valor da comissao .: " . $valorComissao . "<br>";

            // $valorComissao = (float)$valorComissao;
            // $valorLote    = (float)$valorLote;

            $ret_percent = $valorComissao * 100;
            $ret_percent = $ret_percent / $valorLote;

            return $ret_percent;

     }


    function buscarSaldoTotal($venda, $corretor, $emp){


         include "conexao.php";
          $query_amigo =  "SELECT saldo_inicial FROM venda_comissao WHERE empreendimento_id = '$emp' and comissao_para = '$corretor' and venda_id = '$venda' ORDER BY idcomissao DESC LIMIT 1";

          //echo $query_amigo; 


          $executa_query = mysqli_query($db,$query_amigo) or die ("erro ao buscar saldo_atual de comissao");
                $buscar_amigo = mysqli_fetch_assoc($executa_query);

                $saldo_inicial = $buscar_amigo['saldo_inicial'];


            return $saldo_inicial;

    }


    function buscarSaldoOriginal($venda, $corretor, $emp){


         include "conexao.php";
          $query_amigo =  "SELECT saldo_original FROM venda_comissao WHERE empreendimento_id = '$emp' and comissao_para = '$corretor' and venda_id = '$venda' ORDER BY idcomissao DESC LIMIT 1";

          //echo $query_amigo; 


          $executa_query = mysqli_query($db,$query_amigo) or die ("erro ao buscar saldo_atual de comissao");
                $buscar_amigo = mysqli_fetch_assoc($executa_query);

                $saldo_inicial = $buscar_amigo['saldo_original'];


            return $saldo_inicial;

    }



    function buscarSaldoAtual($venda, $corretor, $emp){


         include "conexao.php";
          $query_amigo =  "SELECT saldo_atual FROM venda_comissao WHERE empreendimento_id = '$emp' and comissao_para = '$corretor' and venda_id = '$venda' ORDER BY idcomissao DESC LIMIT 1";

                //echo $query_amigo; 


          $executa_query = mysqli_query($db,$query_amigo) or die ("erro ao buscar saldo_atual de comissao");
                $buscar_amigo = mysqli_fetch_assoc($executa_query);

                $saldo_atual = $buscar_amigo['saldo_atual'];


            return $saldo_atual;

    }


    // function buscar_comissao_por_corretor($equipe_id, $valor_repasse){

    //       global $empre;
    //       global $recebeParticipantes;

    //         include "conexao.php";
            
    //         $query_amigo =  "SELECT percentual_corretores FROM comissao_equipe WHERE equipe_id = '$equipe_id' ORDER BY idcomissaoequi DESC LIMIT 1";


    //         $executa_query = mysqli_query ($db,$query_amigo);
                     
    //         while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
    //                 $percentual_corretores       = $reg["percentual_corretores"];

    //         }

    //         $array_comissao = explode("|", $percentual_corretores);

             
    //        $percentual_geral = buscarPercComissao($empre);

    //         $soma_per = 0;

    //         foreach ($array_comissao as $res) {



    //               $cada_p = explode("-", $res);

    //               if(in_array($cada_p[0], $recebeParticipantes)){


    //                     if($cada_p[1] == $percentual_geral){
    //                           // echo $cada_p[1] . " VS " . $percentual_geral;
                             
    //                           // echo "entrou";
    //                           $proporcao =  ($cada_p[1] / $percentual_geral) * 100;
                        

    //                           // echo "subtrai proporcao .: " . $proporcao . " - " . $soma_per;

    //                           $proporcao = $proporcao - $soma_per;

    //                           // echo "resultado : " . $proporcao; 
                         
                         

    //                     }else{

    //                           $proporcao =  ($cada_p[1] / $percentual_geral) * 100;

    //                     }


    //                    // echo "PROPORCAO DE CADA UM .: " . $proporcao . "<br>";



    //                     $v_cada_c = ($valor_repasse * ($proporcao / 100)) ;

    //                     $corretor[$cada_p[0]] = $v_cada_c;


    //                  $soma_per = $soma_per + $proporcao; 

    //                //  echo "soma_proporcao .: " . $soma_per;                   

    //               }




    //         }

    //         echo "<pre>";
    //         print_r($corretor);
    //         echo "</pre>";
    //         die();
             

    //          return $corretor;


    // }



    function buscar_repasse($emp){

        include "conexao.php";

        $query_amigo = "SELECT percentual FROM repasse_equipe WHERE id_empreendimento = '$emp' ORDER BY idrepasse DESC limit 1";

        //echo $query_amigo;


      $executa_query = mysqli_query ($db,$query_amigo);
                    
        while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                 $percentual       = $reg["percentual"];


         }

           //  echo "percentual .: " . $percentual . "<br>";


         return $percentual;

    }

  function pegaNomeCli($venda){

        include "conexao.php";
      $query_igpm = "SELECT cliente.nome_cli FROM venda INNER JOIN cliente ON venda.cliente_idcliente = cliente.idcliente where venda.idvenda = '$venda'";

      $executa_igpm = mysqli_query($db, $query_igpm);


      while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) { //--verifica se são amigos

        $nome_cli             = $buscar_amigoc['nome_cli'];
      }
      return $nome_cli;



  }

    // echo "valor_parcelas capturado  .: " . $valor_parcelas;

    function tipo_cadastro($cliente_id){
     	include "conexao.php";
     	$dados = "";
    	$query_amigo = "SELECT * FROM cliente_tipo
    					INNER JOIN tipo_cliente ON cliente_tipo.idtipo = tipo_cliente.idtipo
                        where idcliente = '$cliente_id'";
        $executa_query = mysqli_query ($db,$query_amigo);
                    
        while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                 $descricao_tipo       = $reg["descricao_tipo"];

                 $dados.= $descricao_tipo." / ";

         }

         return $dados;

    }


          include "conexao.php";
                    $query_amigo = "SELECT cliente.idcliente, cliente.nome_cli FROM cliente  INNER JOIN venda_comissao ON cliente.idcliente = venda_comissao.comissao_para  where venda_comissao.venda_id = '$venda'  order by cliente.nome_cli Asc";

                    // echo $query_amigo . "<br>";


                    $executa_query = mysqli_query ($db,$query_amigo) or die ("Erro ao listar empreendimento");
                $busca_corretores = '';  
                    
                while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
               
                 $idcliente       = $reg["idcliente"];
                 $nome_cli        = $reg["nome_cli"];

                 if($idcliente == $busca_corretores){
                    
                       $idcliente = '0'.$idcliente;
                 }
              
                 $tipo_retorno = tipo_cadastro($idcliente);
     

    $dados["corretores"][$idcliente] =  $nome_cli . " - $tipo_retorno";


          // echo "<pre>";
          // print_r($dados['corretores'][$idcliente]);
          // echo "</pre>";



          $busca_corretores = $idcliente;

    }



    //$v_cada_corretor = buscar_comissao_por_corretor($equipe_id,$valor_repasse);

 
    // echo "<pre>";
    // print_r($recebeParticipantes);
    // echo "</pre>";
    // die();




    $saldo_atual = array();
    $v_cada_corretor = array();
    foreach ($recebeParticipantes as  $idcorretor) {
       global $qtd_entrada;
       global $venda;
       global $empre;
       global $parcelasid;
       global $idpara;

        $dados["equipe_id"]       = pegaEquipe($venda);
        $equipe_id = $dados['equipe_id'];

        $dados['total_comissao'] = pevaValorTotalComissao($venda);

        $pega_parcelas           = pegaDadosParcelaReferente($venda,$idpara,$parcelasid);
        $dados['valor_parcelas'] = $pega_parcelas['valor_parcelas'];
        $dados['valor_recebido'] = $pega_parcelas['valor_recebido'];
        $dados['idparcelas']     = $pega_parcelas['idparcelas'];
        $qtd_lancadas            = $pega_parcelas['qtd_lancadas'] + 1;
        $dados['qtd_lancadas']   = $qtd_lancadas;

        $val_recebido            = $dados['valor_recebido'];
        $val_total_comissao      = $dados['total_comissao'];

       // echo "valor total da comissao .: " . $val_total_comissao . "<br>";
      

        if($val_recebido > $val_total_comissao){

             $qtd_entrada = 1;

        }
          $div_entrada = (int)$qtd_entrada - $qtd_lancadas;

        $saldo_at = trim(utf8_encode(buscarSaldoComissao($venda,$idcorretor,$empre)));
        //echo "saldo_antes .: " . $saldo_at . "<br>";
        $saldo_at = str_replace("R$ ", "", $saldo_at);
        $saldo_at = str_replace("Â ", "", $saldo_at);

        // echo "saldo_at" . $saldo_at . "<br>";

        $saldo_total = buscarSaldoTotal($venda,$idcorretor,$empre);
        $saldo_total = str_replace("R$ ", "", $saldo_total);
        $saldo_total = str_replace("Â ", "", $saldo_total);



        // $saldo_total = $saldo_total;
        $saldo_at  = buscarSaldoAtual($venda,$idcorretor,$empre);
        $saldo_ori = buscarSaldoOriginal($venda,$idcorretor,$empre);
        // $saldo_atual = $saldo_atual;

        //echo "SALDO TOTAL .: " . $saldo_total . "<br>";

        // var_dump($saldo_total);
        // var_dump($saldo_at);

        $saldo_inicial[$idcorretor]               =  $saldo_total;
        $saldo_atual[$idcorretor]                 =  $saldo_at;


        //print_r($saldo_atual[$idcorretor]);

        // echo "<pre>";
        // print_r($saldo_atual);
        // echo "</pre>";
        // echo "<pre>";
        // print_r($saldo_inicial);
        // echo "</pre>";
        // echo "entrada .: " . $div_entrada . "<br>";

       // $saldo_atual_formatado[$idcorretor]       = "R$ " . number_format($saldo_atual[$idcorretor],2,',','.');
       $saldo_atual_formatado[$idcorretor]       = $saldo_atual[$idcorretor];
      
       //echo "saldo atual formatado .: " . $saldo_atual_formatado . "<br>";
              // echo "saldo_inicial .: " . $saldo_atual[$idcorretor];
              // echo "div_entrada .: " . $div_entrada;


        if($div_entrada == '' OR $div_entrada == 0){
            // echo "igual 1";

              $v_cada_corretor[$idcorretor]             = $saldo_atual[$idcorretor];

        }else{

             $percentual_corretores = (($saldo_ori * 100) / $dados['total_comissao']) / 100;

             // echo "DADOS VALOR DE PARCELA AQUI .: " . $dados['valor_parcelas'];
             // echo "SALDO INICIAL CORRETOR AQUI .: " . $saldo_total;  

                      //   echo "igual 2";
               // echo "VALOR DE PARCELA AQUI .: " . $dados['valor_parcelas'];

              // $v_cada_corretor[$idcorretor]             = $saldo_atual[$idcorretor] / ($div_entrada + 1);

               $rep = $repasse / 100;
               // echo "AQUI . " . $rep; 
               $valp_p   = $dados['valor_parcelas'] * $rep;
               $v_cada_corretor[$idcorretor]             = $valp_p * $percentual_corretores;
        }

        if($v_cada_corretor[$idcorretor] > $val_recebido){

               $v_cada_corretor[$idcorretor] = $val_recebido;            
        }

        //echo "v_cada_corretor .: " . $v_cada_corretor[$idcorretor] . "<br>"; 



        $v_cada_corretor_formatado[$idcorretor]   = "R$ " . number_format($v_cada_corretor[$idcorretor], 2, ",",".");
        $v_cada_corretor_formatado[$idcorretor]   = "R$ " . number_format($v_cada_corretor[$idcorretor], 2, ",",".");

        $v_saldo_restante[$idcorretor]            = $saldo_atual[$idcorretor] - $v_cada_corretor[$idcorretor];
        $v_saldo_restante_formatado[$idcorretor]  = "R$ " . number_format($v_saldo_restante[$idcorretor], 2, ",",".");
    }


    $dados['percentual'] = $repasse . " %";
    $dados['valor_repasse'] = $valor_repasse;
    $dados['valor_repasse_formatado'] = $valor_repasse_formatado;
    $dados['v_cada_corretor'] = $v_cada_corretor;
    $dados['v_cada_corretor_formatado'] = $v_cada_corretor_formatado;
    $dados['v_saldo_atual_formatado'] =  $saldo_atual_formatado;
    $dados['v_saldo_atual_cada'] = $saldo_atual;
    $dados['qtd_entrada'] = $qtd_entrada;
    $dados['parcela_atual'] = $qtd_lancadas;
    $dados['qtd_parcelas'] = $qtd_entrada;

    $dados['restante'] = $v_saldo_restante;
    $dados['restante_formatado'] = $v_saldo_restante_formatado;
    $dados['valor_parcelas_formatado'] = $valor_parcelas_formatado;
    $valor_desconto = pevaValorLote($venda);
    $valor_desconto = trim($valor_desconto);
    //echo "valor_desconto .: " . $valor_desconto . "<br>";
    $dados['valor_desconto'] =  "R$ " . number_format($valor_desconto,2,",",".");
    //$dados['idparcelas'] = $parcela;
   

    if($idcorretor != $dados["equipe_id"]){
         $qtd_venda_corretor = pegaQtdVendasCorretor($idcorretor,$venda);
         $dados["qtd_vendas"] = $qtd_venda_corretor['qtd_corretor'];
         $dados["idcorretor"] = $idcorretor;
    }

   $quadra_lote = pegaQuadraLote($venda);
   $dados["quadralote"] = utf8_encode($quadra_lote);
   
   $dados['total_comissao_formatado'] = "R$ " .number_format($dados['total_comissao'],2,',','.');
   
   $percentual_total = calculaPercentualTotal($valor_desconto, $dados['total_comissao']);
   $dados['percentual_total'] = $percentual_total;
   $dados['venda'] = $venda;
   
   $nome_cliente = pegaNomeCli($venda);
   $dados['nome_cliente']  = $nome_cliente;
   // echo "<pre>";
   // print_r($pega_parcelas);
   // echo "</pre>";


   // echo "<pre>";
   // print_r($dados);
   // echo "</pre>";

    echo json_encode($dados);

    ?>